/* contact form */
body {
  background-color: var(--body-background-grey);
}
.contact {
  max-width: var(--max-width);
  margin: 0 auto;
  background-color: var(--body-background-white);
  margin: auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  grid-template-areas:
    "form-col-1"
    "form-col-2";
  gap: 0rem;
  /* padding: 2.4rem 0; */
}
.contact__form {
  width: var(--post-content-width);
  grid-area: form-col-1;
  text-align: left;
  margin: 0 auto;
  padding: 2.4rem 0.313rem;
}
.contact__details {
  width: var(--post-content-width);
  grid-area: form-col-2;
  text-align: left;
  margin: 0 auto;
  padding: 2.4rem 0.313rem;
}
.contact__form-notice {
  display: block;
  color: #0859d3;
  margin-top: 1.2rem;
  margin-bottom: 1.2rem;
  font-size: 0.92rem;
}
.contact__title {
  font-weight: var(--bold-font-weight);
  font-size: var(--h1-font-size);
  font-family: var(--heading-font);
  text-transform: uppercase;
}
.contact__title-border {
  width: 1.875rem;
  height: 0.25rem;
  margin-top: 0.188rem;
  margin-bottom: 1rem;
  background-color: var(--ce-secondary-color);
}
.contact__paragraph {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: var(--normal-font-size);
  line-height: 1.8;
}
.contact__form-button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.8rem 0.8rem;
  background-color: var(--ce-secondary-color-light);
  color: var(--text-color-black-dark);
  font-size: var(--normal-font-size);
  font-weight: var(--bold-font-weight);
  text-transform: normal;
  border-radius: 0.313rem;
  cursor: pointer;
  transition: background-color 0.4s linear;
}
.contact__form-button-icon {
  margin-right: 0.313rem;
}
.contact__form-button:hover {
  background-color: var(--ce-secondary-color);
}
.contact__form-message {
  height: 6.25rem;
}
.contact__form-data,
.contact__form-message {
  width: 100%;
  margin-bottom: 0.625rem;
  padding: 0.938rem 0.625rem 0.625rem;
  border: 0.063rem solid var(--border-color-grey);
  color: var(--text-color-black-light);
  border-radius: 0.313rem;
  outline: none;
  font-family: inherit;
  font-size: var(--normal-font-size);
}
.contact__details-icon {
  margin-right: 0.313rem;
  filter: var(--filter-for-secondary-color);
}
@media screen and (min-width: 768px) {
  .contact {
    grid-template-columns: 2fr 1fr;
    grid-template-rows: auto;
    grid-template-areas: "form-col-1 form-col-2";
    gap: 3rem;
  }
}
/*google maps */
.map {
  position: relative;
  margin: auto;
  background-color: var(--body-background-white);
  display: none;
}
.responsive-map {
  position: relative;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 28.125rem;
}
.error_form {
  color: red;
}
/* /contact form */
